# InternalArgsBuilt | @coopenomics/sdk
Documentation for @coopenomics/sdk

# Function InternalArgsBuilt

- InternalArgsBuilt(__namedParameters): ((a, p?, root?) => string)

- #### Parameters

  - __namedParameters: {
    ops: Operations ;
    props: AllTypesPropsType ;
    returns: ReturnTypesType ;
    scalars?: ScalarDefinition ;
    vars: {
    graphQLType: string;
    name: string;
    }[];
    }

    - ##### ops: Operations

    - ##### props: AllTypesPropsType

    - ##### returns: ReturnTypesType

    - ##### `Optional` scalars?: ScalarDefinition

    - ##### vars: {
      graphQLType: string;
      name: string;
      }[]

  #### Returns ((a, p?, root?) => string)

  - - (a, p?, root?): string

    - #### Parameters

      - a: ZeusArgsType
      - p: string = ''
      - root: boolean = true

      #### Returns string

  - Defined in components/sdk/src/zeus/index.ts:663